org.apache.ignite.internal.processors.rest.handlers.cache

## Class GridCacheClientQueryResult

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.cache.GridCacheClientQueryResult

All Implemented Interfaces:
  Serializable

    public class GridCacheClientQueryResult
    extends Object
    implements Serializable

Client query result.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheClientQueryResult()`

### Method Summary

Methods
`Collection<?>` `items()`
`void` `items(Collection<?> items)`
`boolean` `last()`
`void` `last(boolean last)`
`UUID` `nodeId()`
`void` `nodeId(UUID nodeId)`
`long` `queryId()`
`void` `queryId(long qryId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheClientQueryResult

    public GridCacheClientQueryResult()

### Method Detail

#### queryId

    public long queryId()

Returns:
  Query ID.

#### queryId

    public void queryId(long qryId)

Parameters:
  `qryId` - Query ID.

#### items

    public Collection<?> items()

Returns:
  Items.

#### items

    public void items(Collection<?> items)

Parameters:
  `items` - Items.

#### last

    public boolean last()

Returns:
  Last flag.

#### last

    public void last(boolean last)

Parameters:
  `last` - Last flag.

#### nodeId

    public UUID nodeId()

Returns:
  Node ID.

#### nodeId

    public void nodeId(UUID nodeId)

Parameters:
  `nodeId` - Node ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015